---
title: AudioContextLatencyCategory
slug: Web/API/AudioContextLatencyCategory
tags:
  - API
  - Audio
  - Audio Context
  - AudioContextLatencyCategory
  - Enum
  - Interface
  - Media
  - Reference
  - Type
  - Web Audio
  - Web Audio API
  - latency
---
<div>{{APIRef("Web Audio API")}}{{draft}}</div>

<p><span class="seoSummary">The <code><strong>AudioContextLatencyCategory</strong></code> type is an enumerated set of strings which are used to select one of a number of default values for acceptable maximum latency of an audio context.</span> By using these strings rather than a numeric value when specifying a latency to a {{domxref("AudioContext")}}, you can allow the {{Glossary("user agent")}} to select an appropriate latency for your use case that makes sense on the device on which your content is being used.</p>

<p><code>AudioContextLatencyCategory</code> can be used when constructing a new <code>AudioContext</code> by passing one of these values as the {{domxref("AudioContextOptions.latencyHint", "latencyHint")}} option in the {{domxref("AudioContext.AudioContext", "AudioContext()")}} constructor's options dictionary.</p>

<h2 id="Values">Values</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th>Value</th>
   <th>Description</th>
  </tr>
  <tr>
   <td><code>"balanced"</code></td>
   <td>The user agent should balance audio output latency and power consumption when selecting a latency value.</td>
  </tr>
  <tr>
   <td><code>"interactive"</code></td>
   <td>The audio is involved in interactive elements, such as responding to user actions or needing to coincide with visual cues such as a video or game action. The user agent should select the lowest possible latency that doesn't cause glitches in the audio. This is likely to require increased power consumption. <strong>This is the default value.</strong></td>
  </tr>
  <tr>
   <td><code>"playback"</code></td>
   <td>The user agent should select a latency that will maximize playback time by minimizing power consumption at the expense of latency. Useful for non-interactive playback, such as playing music.</td>
  </tr>
 </tbody>
</table>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Audio API','#enumdef-audiocontextlatencycategory','AudioContextLatencyCategory')}}</td>
   <td>{{Spec2('Web Audio API')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>


<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>Showing compatibility for <code>latencyHint</code>.</p>

<p>{{Compat("api.AudioContextOptions.latencyHint")}}</p>

